package cn.com.qmth.examcloud.web.enums;

/**
 * servlet请求属性
 *
 * @author WANGWEI
 * @date 2019年3月21日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum HttpServletRequestAttribute {

	/**
	 * 请求映射
	 */
	$_MAPPING,

	/**
	 * API 信息
	 */
	$_API_INFO,

	/**
	 * http status恒为200
	 */
	$_ALWAYS_OK,

	/**
	 * 接入用户
	 */
	$_ACCESS_USER,

	/**
	 * 自定义顺序锁
	 */
	$_CUSTOM_SEQUENCE_LOCK,

	/**
	 * 已鉴权(其他拦截器处理)
	 */
	$_AUTHORIZED_BY_OTHER_INTERCEPTOR

}
